import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
//importing required packages//
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoNaturalEarth1();
const pathGenerating = geoPath().projection(projection);

svg.append('path')
//appending the required data for the map//
    .attr('class', 'sphere')
    .attr('d', pathGenerating({type: 'Sphere'}));

json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
    const countriesInWorld = feature(data, data.objects.countries);
    svg.selectAll('path').data(countriesInWorld.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerating);
  });